/*================================================================================
Copyright (c) 2013 Steve Jin. All Rights Reserved.

Redistribution and use in source and binary forms, with or without modification, 
are permitted provided that the following conditions are met:

* Redistributions of source code must retain the above copyright notice, 
this list of conditions and the following disclaimer.

* Redistributions in binary form must reproduce the above copyright notice, 
this list of conditions and the following disclaimer in the documentation 
and/or other materials provided with the distribution.

* Neither the name of VMware, Inc. nor the names of its contributors may be used
to endorse or promote products derived from this software without specific prior 
written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
IN NO EVENT SHALL VMWARE, INC. OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
POSSIBILITY OF SUCH DAMAGE.
================================================================================*/

package com.vmware.vijava.vim25;

import java.util.List;

/**
* @author Steve Jin (http://www.doublecloud.org)
* @version 5.1
*/

@SuppressWarnings("all")
public class HostActiveDirectorySpec extends DynamicData {
  public String domainName;
  public String userName;
  public String password;
  public String camServer;
  public String thumbprint;
  public Boolean smartCardAuthenticationEnabled;
  public String[] smartCardTrustAnchors;

  public String getDomainName() {
    return this.domainName;
  }

  public String getUserName() {
    return this.userName;
  }

  public String getPassword() {
    return this.password;
  }

  public String getCamServer() {
    return this.camServer;
  }

  public String getThumbprint() {
    return this.thumbprint;
  }

  public void setDomainName(String domainName) {
    this.domainName=domainName;
  }

  public void setUserName(String userName) {
    this.userName=userName;
  }

  public void setPassword(String password) {
    this.password=password;
  }

  public void setCamServer(String camServer) {
    this.camServer=camServer;
  }

  public void setThumbprint(String thumbprint) {
    this.thumbprint=thumbprint;
  }

public Boolean getSmartCardAuthenticationEnabled() {
	return smartCardAuthenticationEnabled;
}

public void setSmartCardAuthenticationEnabled(Boolean smartCardAuthenticationEnabled) {
	this.smartCardAuthenticationEnabled = smartCardAuthenticationEnabled;
}

public String[] getSmartCardTrustAnchors() {
	return smartCardTrustAnchors;
}

public void setSmartCardTrustAnchors(String[] smartCardTrustAnchors) {
	this.smartCardTrustAnchors = smartCardTrustAnchors;
}


}